server:
  port: 18094 #启动端口
  max-http-header-size: 10000000
  servlet:
    context-path: /

spring:
  application:
    name: dxhy-operation-flow
  profiles:
    active: @deployType@
#    active: test
  jackson:
    date-format: yyyy-MM-dd HH:mm:ss
    time-zone: GMT+8


#mybatis
mybatis-plus:
  mapper-locations: classpath*:/mapper/**/*.xml
  #实体扫描，多个package用逗号或者分号分隔
#  typeAliasesPackage: com.dxhy.*.entity,*.entity,com.dxhy.*.model
  global-config:
    #数据库相关配置
    db-config:
      #主键类型  AUTO:"数据库ID自增", INPUT:"用户输入ID", ID_WORKER:"全局唯一ID (数字类型唯一ID)", UUID:"全局唯一ID UUID";
      id-type: ASSIGN_ID
      #字段策略 IGNORED:"忽略判断",NOT_NULL:"非 NULL 判断"),NOT_EMPTY:"非空判断"
      field-strategy: NOT_NULL
      #驼峰下划线转换
      column-underline: true
      logic-delete-value: -1
      logic-not-delete-value: 0
    banner: false
  #原生配置
  configuration:
    map-underscore-to-camel-case: true
    cache-enabled: false
    call-setters-on-nulls: true
    jdbc-type-for-null: 'null'
    variables:
      krzpz: "'31','01','08','185','383','187','03','183','14','161','283'"

#mq消费端配置
rabbitmq:
  #消费者每次从队列中预取消息数量
  prefetchCount: 2
  #初始消费者并发数量
  concurrentConsumers: 3
  #最大消费者并发数量
  maxConcurrentConsumers: 10

#数据源连接配置
data:
  initialSize: 10
  maxActive: 150
  minIdle: -1
  maxWait: 60000
  timeBetweenEvictionRunsMillis: 60000
  minEvictableIdleTimeMillis: 3000000
  maxEvictableIdleTimeMillis: 18000000
  validationQuery: SELECT 1 FROM DUAL
  validationQueryTimeout: -1
  testOnBorrow: false
  testOnReturn: false
  testWhileIdle: true
  poolPreparedStatements: false
  maxOpenPreparedStatements: -1
  sharePreparedStatements: false

reimburse:
  #混扫签收是否查验
  checkStatus: true
# 定时器配置
schedule:
  open: true  # 是否开启定时任务功能  true开启   false关闭
  #执行状态为1的定时任务重置时间，单位分钟，默认300
  scheduleRestoreTime: 300
erp:
  collectNum: 1000
  stateNum: 500
  outInvoiceNum: 1000
pool:
  collectNum: 1000
  stateNum: 1000
#普票查验配置项
checkThreadNum: 20 #普票查验线程数
checkDayNum: 500000  #普票定时任务一次执行查验发票总数量
checkRows: 1000 #普票查验每次查验发票数量

pt_version: 7.1.4.2
auth:
    isOpen: true
    licPath: /data/auth/invoice.lic
lq:
  #乐企采集是否查询发票用途 0否 1是
  sfcxlqfpyt: 0
  #乐企采集、发票用途同步可认证票种
  krzpz: 31,01,08,185,383,187,03,183,14,161,283
  #乐企发票用途同步月数（建议三个月之内），系统默认同步开票日期为当前时间前三个月月初至今的可勾选发票（krzpz配置）
  lqfpyttbys: 3
  #乐企历史发票批量申请下载结果解析最大线程数 默认12  配置0表示不执行历史发票解析
  lsfpjxzdxcs: 12
  #乐企同步乐企发票用途状态信息最大线程数 默认10 配置0表示不执行发票用途同步
  lstbfpytzdxcs: 10
  #乐企全量发票解析，状态获取 定时任务轮询时间（分钟）
  parsePollTime: 10
#ofd:
#  eachDir: false
#  detail: false
#  analysis:
#    type: local
#  httpUrl: http://jxfpapi.ele-cloud.com/OFDParse
#  ofdPngUrl: http://jxfpapi.ele-cloud.com/image
#  ofdPreviewUrl: http://jxfpapi.ele-cloud.com/OFDPreview